Name:           ecore
Version:        1.7.8
Release:        1%{?dist}
Summary:        Event/X abstraction layer

Group:          System Environment/Libraries
License:        MIT
URL:            http://web.enlightenment.org/p.php?p=about/efl&l=en
Source0:        http://download.enlightenment.org/snapshots/2008-09-25/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  eet-devel evas-devel libX11-devel libXext-devel 
BuildRequires:  libXcursor-devel libXrender-devel libxcb-devel 
BuildRequires:  libXinerama-devel libXrandr-devel libXScrnSaver-devel 
BuildRequires:  libXcomposite-devel libXfixes-devel libXdamage-devel 
BuildRequires:  xorg-x11-proto-devel SDL-devel libeina-devel
BuildRequires:  openssl-devel libcurl-devel chrpath doxygen pkgconfig
BuildRequires:	glib2-devel libXtst-devel gettext

%description
Ecore is the event/X abstraction layer that makes doing selections,
Xdnd, general X stuff, event loops, timeouts and idle handlers fast,
optimized, and convenient.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release} 
Requires:       libcurl-devel openssl-devel
Requires:       evas-devel eet-devel libeina-devel
Requires:       pkgconfig 
Requires:       libX11-devel libXext-devel 
Requires:       libXcursor-devel libXrender-devel libxcb-devel 
Requires:       libXinerama-devel libXrandr-devel libXScrnSaver-devel 
Requires:       libXcomposite-devel libXfixes-devel libXdamage-devel 
Requires:       xorg-x11-proto-devel SDL-devel
Requires:	      glib2-devel libXtst-devel


%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static --enable-ecore-fb --enable-ecore-sdl
make %{?_smp_mflags}
#sed -i -e 's/$projectname Documentation Generated: $datetime/$projectname Documentation/' doc/foot.html
#./gendoc


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
#chrpath --delete $RPM_BUILD_ROOT%{_bindir}/%{name}_config
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/lib%{name}_*.so*
find $RPM_BUILD_ROOT -name '*.la' -delete
# remove unfinished manpages
#find doc/man/man3 -size -100c -delete
#rm -f doc/man/man3/todo.3 # remove todo
#install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man3
# install crashes on long file lists, do "for" loop in shell instead
#for f in doc/man/man3/*; do install -p -m 644 $f $RPM_BUILD_ROOT%{_mandir}/man3; done
%find_lang %{name}



%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/libecore*.so.*
%{_libdir}/ecore



%files devel
%defattr(-,root,root,-)
#%doc doc/html
#%{_mandir}/man3/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Nov 26 2011 Chelban Vasile <vchelban@fedoramd.org> 1.1.0-1
- ecore_test removed

* Tue Jul 19 2011 Chelban Vasile <vchelban@fedoramd.org> 1.0.999-2
- ecore_test and immodules added

* Sun Jan 17 2010 Chelban Vasile <vchelban@fedoramd.org> 0.9.9.063-2
- version bump

* Mon Dec 07 2009 Chelban Vasile <vchelban@fedoramd.org> 0.9.9.063-1
- version bump

* Tue Oct 06 2009 Chelban Vasile <vchelban@fedoramd.org> 0.9.9.061-2
- add --disable-nls for configure for now

* Tue Jul 14 2009 Vasile Chelban <vchelban@fedoramd.org> 0.9.9.061-1
- more generic rule for .so files
- version bump

* Thu Mar 12 2009 Chelban Vasile <vchelban@fedoramd.org> 0.9.9.050-3
- renamed eina to libeina

* Mon Feb 16 2009 Chelban Vasile <vchelban@fedoramd.org> 0.9.9.050-2
- BuildRequires: eina-devel

* Sat Nov 29 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.9.050-1
- New upstream snapshot

* Mon May 19 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.9.043-1
- New upstream snapshot
- Removed DirectFB backend, it's unmaintained upstream

* Wed May 14 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.9.042-4
- Added pkgconfig to buildrequires and ecore-devel requires

* Sun May 04 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.9.042-3
- Fixed ecore-devel dependencies once again

* Fri May 02 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.9.042-2
- Fixed ecore-devel dependencies
- Fixed timestamp of source tarball
- Preserve timestamps of installed files
- Added html docs

* Mon Apr 14 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.9.042-1
- Initial specfile for Ecore
